
import other from './components/other/other'
import viewOCR from './components/viewOCR/viewOCR'
import extracFolder from './components/extract_folder/extract_folder'
import extractFolderKeyWord from './components/extract_folder/comp/keyWord'
import extractKeyWord from './components/extract/comp/keyWord'
import extract from './components/extract/extract'
import control from './components/common/discern/control'
import ocr from './components/common/discern/ocr'
import pagination from './components/common/discern/pagination'
import pdf from './components/common/discern/pdf'
import toggleFile from './components/common/discern/toggleFile'
import uploadFile from './components/common/uploadFolder/uploadFile'
import uploadFolder from './components/common/uploadFolder/uploadFolder'

const ocrComponents = {
    install(Vue){
        Vue.component('other',other);
        Vue.component('viewOCR',viewOCR);
        Vue.component('extracFolder',extracFolder);
        Vue.component('extractFolderKeyWord',extractFolderKeyWord);
        Vue.component('extractKeyWord',extractKeyWord);
        Vue.component('extract',extract);
        Vue.component('control',control);
        Vue.component('ocr',ocr);
        Vue.component('pagination',pagination);
        Vue.component('pdf',pdf);
        Vue.component('toggleFile',toggleFile);
        Vue.component('uploadFile',uploadFile);
        Vue.component('uploadFolder',uploadFolder);
    }
}

if (typeof window != "undefined" && window.Vue){
    window.Vue.use(ocrComponents)
}

export default {
    version: "1.0.2",
    ocrComponents,
}